
Figure - Bug #118425
【AF】【EVT3】【系统】概率出现，通过文件管理安装应用，设备重启
2023-06-01 14:28 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-06-01

Priority: High Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104(X104).202305291725（6/1早上版本）

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Frequently Fixed Version: 2023-06-02

Test Type: Release Test Root cause: system_server anr被杀了

Description

【测试步骤】

1.导入应用安装包到设备中

2.在文件中安装导入应用

【预期结果】

可正常安装应用

【测试结果】

安装多个应用后设备重启

History

#1 - 2023-06-01 16:15 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-02

- Root cause set to system_server anr被杀了

■ 我的分析

由于system_server发生了ANR，导致被杀掉重启了

与早上发现的系统启动慢的问题原因一致，ANR原因都是相同地方死锁

---------------

----- pid 13091 at 2023-06-01 04:46:17.848847862+0800 -----

Cmd line: system_server

Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3735:user/test-keys'

ABI: 'arm64'

"main" prio=5 tid=1 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x71b76d78 self=0xb400007a3feae010  | sysTid=13091 nice=-2 cgrp=default sched=0/0

handle=0x7c07a2f4f8  | state=S schedstat=( 10489406126 18261037220 136997 ) utm=711 stm=337 core=4 HZ=100  | stack=0x7fed4b9000-0x7fed4bb000

stackSize=8188KB  | held mutexes=

  at com.android.server.am.ActivityManagerService.isAppStartModeDisabled(ActivityManagerService.java:5580)

  - waiting to lock <0x0e188772> (a com.android.server.am.ActivityManagerProcLock) held by thread 13

  at com.android.server.am.ActivityManagerService$LocalService.isAppStartModeDisabled(ActivityManagerService.java:15857)

  at com.android.server.alarm.AlarmManagerService.setImplLocked(AlarmManagerService.java:2050)

  at com.android.server.alarm.AlarmManagerService.setImpl(AlarmManagerService.java:2036)
  - locked <0x0de297c3> (a java.lang.Object)

  at com.android.server.alarm.AlarmManagerService$5.set(AlarmManagerService.java:2575)

  at android.app.AlarmManager.setImpl(AlarmManager.java:947)

  at android.app.AlarmManager.setImpl(AlarmManager.java:907)

  at android.app.AlarmManager.set(AlarmManager.java:835)

  at com.android.server.job.controllers.TimeController.updateAlarmWithListenerLocked(TimeController.java:400)

  at com.android.server.job.controllers.TimeController.setDelayExpiredAlarmLocked(TimeController.java:368)

  at com.android.server.job.controllers.TimeController.checkExpiredDelaysAndResetAlarm(TimeController.java:314)

  - locked <0x078a3840> (a java.lang.Object)

  at com.android.server.job.controllers.TimeController$2.onAlarm(TimeController.java:424)

  at android.app.AlarmManager$ListenerWrapper.run(AlarmManager.java:323)

  at android.os.Handler.handleCallback(Handler.java:938)

  at android.os.Handler.dispatchMessage(Handler.java:99)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at com.android.server.SystemServer.run(SystemServer.java:909)

  at com.android.server.SystemServer.main(SystemServer.java:616)

  at java.lang.reflect.Method.invoke(Native method)

  at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

  at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:987)

"android.fg" prio=5 tid=13 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x13980000 self=0xb400007a3fed9760  | sysTid=13108 nice=-2 cgrp=default

sched=0/0 handle=0x7848dbfcb0  | state=S schedstat=( 2530329313 9484948121 37408 ) utm=177 stm=75 core=7 HZ=100  | stack=0x7848cbc000-0x7848cbe000

stackSize=1039KB  | held mutexes=

  at com.android.server.wm.ActivityTaskManagerService.updateAssetConfiguration(ActivityTaskManagerService.java:4256)

  - waiting to lock <0x09abfe35> (a com.android.server.wm.WindowManagerGlobalLock) held by thread 149

  at com.android.server.am.ProcessList.updateApplicationInfoLOSP(ProcessList.java:4741)

  at com.android.server.am.ActivityManagerService.updateApplicationInfoLOSP(ActivityManagerService.java:16759)

  at com.android.server.am.ActivityManagerService.scheduleApplicationInfoChanged(ActivityManagerService.java:16726)

  - locked <0x0e188772> (a com.android.server.am.ActivityManagerProcLock)

  at com.android.server.om.OverlayManagerService.updateActivityManager(OverlayManagerService.java:1438)

  at com.android.server.om.OverlayManagerService.lambda$updateTargetPackagesLocked$1$OverlayManagerService(OverlayManagerService.java:1389)

  at com.android.server.om.OverlayManagerService$$ExternalSyntheticLambda2.run(unavailable:-1)

  at android.os.Handler.handleCallback(Handler.java:938)

  at android.os.Handler.dispatchMessage(Handler.java:99)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at android.os.HandlerThread.run(HandlerThread.java:67)

  at com.android.server.ServiceThread.run(ServiceThread.java:44)

"Binder:13091_1B" prio=5 tid=149 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x151400b8 self=0xb400007a3ff296c0  | sysTid=27652 nice=-10

cgrp=default sched=0/0 handle=0x7826727cb0  | state=S schedstat=( 21998634823 10422082775 156220 ) utm=1650 stm=549 core=6 HZ=100  |

stack=0x7826630000-0x7826632000 stackSize=991KB  | held mutexes=

  at com.android.server.am.ActivityManagerService.isUserAMonkey(ActivityManagerService.java:6639)

  - waiting to lock <0x0e188772> (a com.android.server.am.ActivityManagerProcLock) held by thread 13

  at android.app.ActivityManager.isUserAMonkey(ActivityManager.java:3862)

  at com.android.server.wm.TaskLaunchParamsModifier.isMonkeyRunning(TaskLaunchParamsModifier.java:1085)

  at com.android.server.wm.TaskLaunchParamsModifier.initLogBuilder(TaskLaunchParamsModifier.java:1059)

  at com.android.server.wm.TaskLaunchParamsModifier.onCalculate(TaskLaunchParamsModifier.java:107)

  at com.android.server.wm.LaunchParamsController.calculate(LaunchParamsController.java:96)

  at com.android.server.wm.ActivityStarter.setInitialState(ActivityStarter.java:2297)

  at com.android.server.wm.ActivityStarter.startActivityInner(ActivityStarter.java:1681)

  at com.android.server.wm.ActivityStarter.startActivityUnchecked(ActivityStarter.java:1576)
  at com.android.server.wm.ActivityStarter.executeRequest(ActivityStarter.java:1183)

  at com.android.server.wm.ActivityStarter.execute(ActivityStarter.java:671)

  - locked <0x09abfe35> (a com.android.server.wm.WindowManagerGlobalLock)

  at com.android.server.wm.ActivityTaskManagerService.startActivityAsUser(ActivityTaskManagerService.java:1229)

  at com.android.server.wm.ActivityTaskManagerService.startActivityAsUser(ActivityTaskManagerService.java:1201)

  at com.android.server.wm.ActivityTaskManagerService.startActivity(ActivityTaskManagerService.java:1150)

  at android.app.IActivityTaskManager$Stub.onTransact(IActivityTaskManager.java:920)

  at com.android.server.wm.ActivityTaskManagerService.onTransact(ActivityTaskManagerService.java:5074)

  at android.os.Binder.execTransactInternal(Binder.java:1179)

  at android.os.Binder.execTransact(Binder.java:1143)

---------------

■ 下一步计划

已经做了修复提交，需要使用0602之后的版本验证

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/204047

#2 - 2023-06-05 13:48 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306040058

#3 - 2023-06-05 13:48 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

重启.7z 45.6 MB 2023-06-01 物联网测试组_CDTS  唐霞 
